import {ScreenChartProps, SingleLayoutConf} from "../types/ScreenChart.typing.ts";
import {mapHeight, mapWidth} from "./mapGEOStyle.ts";

export const gridItemStyle = function (item: SingleLayoutConf, props: ScreenChartProps) {
    return {
        gridColumn: `${item.x + 1} / span ${item.w}`,
        gridRow: `${item.y + 1} / span ${item.h}`,
        background: 'red',
        boxSizing: 'border-box',
        // @ts-ignore
        padding: `${mapHeight(props.gridItemPadding)}px ${mapWidth(props.gridItemPadding)}px ${mapHeight(props.gridItemPadding)}px ${mapWidth(props.gridItemPadding)}px`,
        fontSize: `${mapWidth(14)}px`
    }
}

export const mapContainerStyle = function (props: ScreenChartProps) {
    return {
        display: 'grid',
        // @ts-ignore
        gridRowGap: mapHeight(props.gap) + 'px',
        // @ts-ignore
        gridColumnGap: mapWidth(props.gap) + 'px',
        gridTemplateColumns: `repeat(${props.grid.cols}, 1fr)`,
        gridTemplateRows: `repeat(${props.grid.rows}, 1fr)`,
        boxSizing: 'border-box',
        // @ts-ignore
        padding: `${mapHeight(props.containerPadding)}px ${mapWidth(props.containerPadding)}px ${mapHeight(props.containerPadding)}px ${mapWidth(props.containerPadding)}px`,
    }
}